Get All Emergency Client Access Tokens

Get All Emergency Client Access Tokens
List emergency client access tokens

This endpoint is to list existing emergency client access tokens. Returns a summary for each emergency client access token.

Request
URI
GET
https://{api_host}/acs/t/{tenant}/broker/emergency-clients/tokens
COPY
Path Parameters
string
tenant
Required

The VMware Identity Services tenant ID

tenant example
my-tenant
Query Parameters
integer
start_index
Optional
Constraints: default: 1

The index of the page. Pages start with index 1.

start_index example
1
integer
page_size
Optional
Constraints: default: 20

Number of results per page.

page_size example
50

Authentication
This operation uses the following authentication methods.
Responses
200

emergency client access tokens returned successfully.

Returns BrokerEmergencyClientTokenList of type(s) application/vnd.vmware.horizon.manager.accesscontrol.broker.emergency.client.token.list+json
{
    "items": [
        {
            "_links": {
                "self": {
                    "href": "https://example.com/path-to-self"
                }
            },
            "token_id": "99c8e285-f413-4cbc-ad07-32a63683f4f5",
            "access_token_ttl": 30,
            "expiration_date": "2025-03-28T18:11:11.282Z",
            "created_date": "2025-03-28T18:11:11.282Z",
            "token_status": "ACTIVE",
            "client_id": "emergency client 1",
            "client_uuid": "e0bb6c88-2c3b-4f4f-87c9-5ecb7be9a7f9",
            "client_display_name": "emergency client 1 display name",
            "client_description": "emergency client 1 description"
        }
    ],
    "totalCount": 0,
    "pageNumber": 0,
    "totalPages": 0,
    "pageSize": 0,
    "_links": {
        "self": {
            "href": "https://example.com/path-to-self"
        }
    }
}

400

Invalid starting index or page size.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/acs/t/{tenant}/broker/emergency-clients/tokens